--- postgresql.spec.prev	Thu Dec 20 18:37:25 2001
+++ postgresql.spec	Thu Dec 20 19:59:03 2001
@@ -11,6 +11,7 @@
 %{!?plperl:%define plperl 0}
 %{!?ssl:%define ssl 1}
 %{!?kerberos:%define kerberos 1}
+%{!?nls:%define nls 1}
 
 # Utility feature defines.
 %{!?enable_mb:%define enable_mb 1}
@@ -21,7 +22,7 @@
 
 Summary: PostgreSQL client programs and libraries.
 Name: postgresql
-Version: 7.2devel
+Version: 7.2b4
 
 # Conventions for PostgreSQL Global Development Group RPM releases:
 
@@ -43,7 +44,7 @@
 # Pre-release RPM's should not be put up on the public ftp.postgresql.org server
 # -- only test releases or full releases should be.
 
-Release: 2pe
+Release: 3pe
 License: BSD
 Group: Applications/Databases
 Source0: ftp://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.gz
@@ -69,6 +70,9 @@
 %if %kerberos
 BuildPrereq: krb5-devel
 %endif
+%if %nls
+BuildPrereq: gettext >= 0.10.36
+%endif
 Url: http://www.postgresql.org/ 
 Obsoletes: postgresql-clients
 Buildroot: %{_tmppath}/%{name}-%{version}-root
@@ -361,6 +365,9 @@
 %if %kerberos
 	--with-krb5=/usr/kerberos \
 %endif
+%if %nls
+	--enable-nls \
+%endif
 	--sysconfdir=/etc/pgsql \
 	--mandir=%{_mandir} \
 	--docdir=%{_docdir} \
@@ -504,7 +511,6 @@
 #chmod 0644 $RPM_BUILD_ROOT/etc/logrotate.d/postgres
 
 # Fix some more documentation
-gzip doc/internals.ps
 cp %{SOURCE6} README.rpm-dist
 mv $RPM_BUILD_ROOT%{_docdir}/postgresql/html doc
 
@@ -515,6 +521,14 @@
 popd
 
 
+%find_lang libpq
+%find_lang pg_dump
+%find_lang postgres
+%find_lang psql
+
+cat psql.lang pg_dump.lang > main.lst
+cat postgres.lang files.lst > server.lst
+
 %pre
 # Need to make backups of some executables if an upgrade
 # They will be needed to do a dump of the old version's database.
@@ -592,7 +606,7 @@
 # Note that macros such as config are available in those lists.
 # The lists differentiate between RedHat, SuSE, and others.
 
-%files
+%files -f main.lst
 %defattr(-,root,root)
 %doc doc/FAQ doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README* 
 %doc COPYRIGHT README HISTORY doc/bug.template
@@ -679,14 +693,14 @@
 /usr/bin/vacuumlo
 %doc contrib/*/README.* contrib/spi/*.example
 
-%files libs
+%files libs -f libpq.lang
 %defattr(-,root,root)
 /usr/lib/libpq.so.*
 /usr/lib/libecpg.so.*
 /usr/lib/libpq++.so.*
 /usr/lib/libpgeasy.so.*
 
-%files server -f files.lst
+%files server -f server.lst
 %defattr(-,root,root)
 /usr/bin/initdb
 /usr/bin/initlocation
